import { jsx } from "react/jsx-runtime";
import { UserSwitch as UserSwitch$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const UserSwitch = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "UserSwitch", ...props, children: /* @__PURE__ */ jsx(UserSwitch$1, { weight: variant }) });
  }
);
UserSwitch.displayName = "UserSwitch";
Object.assign(UserSwitch, { isGdsIcon: true });
export {
  UserSwitch
};
